# @Author  : lightXu
# @File    : urls.py.py
from django.urls import path
from segment import views as siteviews, sheet_views


urlpatterns = [
    path('upload_imgs_slow/', siteviews.upload_img),
    path('exam_paper/', siteviews.analysis_exam_view),
    path('exam_paper_show/', siteviews.exam_analysis_show),
    path('exam_ocr/', siteviews.ocr_exam_view),
    path('formula/', siteviews.formula_analysis),
    path('exam_ocr_pdf/', siteviews.ocr_exam_view_of_pdf),
    path('formula_show/', siteviews.formula_analysis_show),
    path('ai_formula_show/', siteviews.ai_formula_analysis_show),
    path('sheet_box/', sheet_views.analysis_big_box),  # 大框+ocr, 测试接口
    # path('sheet/', sheet_views.analysis_box_once_and_single_img_with_paperid),  # ye biao
    path('sheet/', sheet_views.analysis_box_once_with_multiple_img),  # ye biao
    path('sheet_detail/', sheet_views.analysis_box_once_and_single_img),  # mbq
    path('multiple_sheet_detail/', sheet_views.saas_analysis_box_once_with_multiple_img),  # mbq
    path('sheet_detail_show/', sheet_views.analysis_box_detail_and_show),
    path('sheetsmallbox/', sheet_views.analysis_small_box),
    path('download_img/', sheet_views.download_image),
]
